#!/bin/sh
# mblaze.env
# Written in 2020 by Lucas
# CC0 1.0 Universal/Public domain - No rights reserved
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this software to the
# public domain worldwide. This software is distributed without any
# warranty. You should have received a copy of the CC0 Public Domain
# Dedication along with this software. If not, see
# <http://creativecommons.org/publicdomain/zero/1.0/>.

usage()
{
	printf "Usage: %s [-n] msgs...\n" "${0##*/}" >&2
	exit 1
}

dryrun=no
while getopts n flag; do
	case $flag in
	n)	dryrun=yes ;;
	*)	usage ;;
	esac
done
shift $((OPTIND - 1))
[ $# -gt 0 ] || usage

if [ $dryrun = yes ]; then
	mseq -r -- "$@"
else
	mseq -r -- "$@" | xargs -E "" -L 100 rm -v --
fi
